import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0





Page {

    property string identx
    property string identy
    XmlListModel
    {
        id: events
        source: "http://geoserver.nottinghamcity.gov.uk/opendata/xml/ncc_Streetworks.xml"
        namespaceDeclarations: "declare namespace fme = 'http://www.safe.com/xml/xmltables';"
        query: "/fme:xml-tables/fme:ncc_Streetworks-table/fme:ncc_Streetworks[fme:X="+identx+" and fme:Y="+identy+"]"
        XmlRole {
            name: "latitude"
            query: "fme:LAT/string()"
        }
        XmlRole {
            name: "longitude"
            query: "fme:LONG/string()"
        }
        XmlRole {
            name: "descr"
            query: "fme:DESCRIPTION/string()"
        }
        XmlRole {
            name: "addr"
            query: "fme:ADDRESS/string()"
        }
        XmlRole {
            name: "locat"
            query: "fme:LOCATIONDESC/string()"
        }
        XmlRole {
            name: "idx"
            query: "fme:X/string()"
        }
        XmlRole {
            name: "idy"
            query: "fme:Y/string()"
        }
        XmlRole {
            name: "delays"
            query: "fme:IMPACT/string()"
        }
        XmlRole {
            name: "start"
            query: "fme:STARTTIME/string()"
        }
        XmlRole {
            name: "end"
            query: "fme:ENDTIME/string()"
        }
    }

    SilicaListView
    {
        anchors.fill: parent
        model: events
        delegate: ListItem
        {
//            x: Theme.paddingLarge
            Column
            {
                anchors
                {
                     left: parent.left
                     right: parent.right
                }
                PageHeader
                {
                     title: model.addr
                }
                Label
                {
                     height: 80
                     font.pixelSize: Theme.fontSizeExtraLarge
                     font.bold: true
                     color: Theme.highlightColor
                     anchors
                     {
                          rightMargin: Theme.paddingSmall
                     }
                     text: "Precise location:"
                 }
                 Label
                 {
                     wrapMode: Text.WordWrap
                     maximumLineCount: 5
                     truncationMode: TruncationMode.Fade
                     anchors
                     {
                         top: origin.bottom
                         left: parent.left
                         right: parent.right
                     }
                     text: model.locat
                 }
                 Label
                 {
                     height: 80
                     font.pixelSize: Theme.fontSizeExtraLarge
                     font.bold: true
                     color: Theme.highlightColor
                     anchors
                     {
                         rightMargin: Theme.paddingSmall
                     }
                     text: "Description:"
                  }
                  Label
                  {
                     wrapMode: Text.WordWrap
                     maximumLineCount: 5
                     truncationMode: TruncationMode.Fade
                     anchors
                     {
                         top: origin.bottom
                         left: parent.left
                         right: parent.right
                     }
                     text: model.descr
                  }
                  Label
                  {
                      height: 80
                      font.pixelSize: Theme.fontSizeExtraLarge
                      font.bold: true
                      color: Theme.highlightColor
                      anchors
                      {
                          rightMargin: Theme.paddingSmall
                      }
                      text: "Possible impact:"
                  }
                  Label
                  {
                      wrapMode: Text.WordWrap
                      maximumLineCount: 5
                      truncationMode: TruncationMode.Fade
                      anchors
                      {
                          top: origin.bottom
                          left: parent.left
                          right: parent.right
                      }
                          text: model.delays
                  }
                  Label
                  {
                      height: 80
                      font.pixelSize: Theme.fontSizeExtraLarge
                      font.bold: true
                      color: Theme.highlightColor
                      anchors
                      {
                           rightMargin: Theme.paddingSmall
                      }
                      text: "Construction dates:"
                  }
                  Label
                  {
                      wrapMode: Text.WordWrap
                      height: 100
                      maximumLineCount: 5
                      truncationMode: TruncationMode.Fade
                      anchors
                      {
                           top: origin.bottom
                           left: parent.left
                           right: parent.right
                      }
                      text: "from " + model.start + " to " + model.end
                  }
                  Button
                  {
                      anchors.horizontalCenter: parent.horizontalCenter
                      text: "Show on the map!"
                      onClicked: pageStack.push(Qt.resolvedUrl("MapPage.qml"), {lat: model.latitude, lon: model.longitude})
                  }
              }
         }
    }
}
