import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0



Page {
    property string ident;
    XmlListModel
    {
        id: parking
        source: "http://data.nottinghamtravelwise.org.uk/parking.xml?noLocation=true"

        query: "/Parking/Carpark[SystemCodeNumber=\""+ident+"\"]"


        XmlRole {
            name: "Venue"
            query: "ShortDescription/string()"
        }
        XmlRole {
            name: "Capacity"
            query: "Capacity/string()"
        }
        XmlRole {
            name: "Occupancy"
            query: "Occupancy/string()"
        }
        XmlRole {
            name: "State"
            query: "State/string()"
        }
        XmlRole
        {
            name: "id"
            query: "SystemCodeNumber/string()"
        }


    }


    SilicaListView
    {
        anchors.fill: parent
        model: parking
        delegate: ListItem
        {
            x: Theme.paddingLarge
            Column
            {
                anchors
                {
                     left: parent.left
                     right: parent.right
                }
                PageHeader
                {
                     title: model.addr
                }
                Label
                {
                     height: 80
                     font.pixelSize: Theme.fontSizeExtraLarge
                     font.bold: true
                     color: Theme.highlightColor
                     anchors
                     {
                          rightMargin: Theme.paddingSmall
                     }
                     text: "Parking Venue:"
                 }
                 Label
                 {
                     wrapMode: Text.WordWrap
                     maximumLineCount: 5
                     truncationMode: TruncationMode.Fade
                     anchors
                     {
                         top: origin.bottom
                         left: parent.left
                         right: parent.right
                     }
                     text: model.Venue
                 }
                 Label
                 {
                     height: 80
                     font.pixelSize: Theme.fontSizeExtraLarge
                     font.bold: true
                     color: Theme.highlightColor
                     anchors
                     {
                         rightMargin: Theme.paddingSmall
                     }
                     text: "Capacity:"
                  }
                  Label
                  {
                     wrapMode: Text.WordWrap
                     maximumLineCount: 5
                     truncationMode: TruncationMode.Fade
                     anchors
                     {
                         top: origin.bottom
                         left: parent.left
                         right: parent.right
                     }
                     text: model.Capacity
                  }
                  Label
                  {
                      height: 80
                      font.pixelSize: Theme.fontSizeExtraLarge
                      font.bold: true
                      color: Theme.highlightColor
                      anchors
                      {
                          rightMargin: Theme.paddingSmall
                      }
                      text: "Current ocupancy:"
                  }
                  Label
                  {
                      wrapMode: Text.WordWrap
                      maximumLineCount: 5
                      truncationMode: TruncationMode.Fade
                      anchors
                      {
                          top: origin.bottom
                          left: parent.left
                          right: parent.right
                      }
                          text: model.Occupancy
                  }
                  Label
                  {
                      height: 80
                      font.pixelSize: Theme.fontSizeExtraLarge
                      font.bold: true
                      color: Theme.highlightColor
                      anchors
                      {
                           rightMargin: Theme.paddingSmall
                      }
                      text: "State:"
                  }
                  Label
                  {
                      wrapMode: Text.WordWrap
                      height: 100
                      maximumLineCount: 5
                      truncationMode: TruncationMode.Fade
                      anchors
                      {
                           top: origin.bottom
                           left: parent.left
                           right: parent.right
                      }
                      text: model.State
                  }

}
}
}
}
