import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0



Page {
    SilicaFlickable {
         anchors.fill: parent
         contentHeight: Column.height

         XmlListModel
         {
             id: parking
             source: "http://data.nottinghamtravelwise.org.uk/parking.xml?noLocation=true"

              query: "/Parking/Carpark"

             XmlRole {
                 name: "Venue"
                 query: "ShortDescription/string()"
             }
             XmlRole {
                 name: "Capacity"
                 query: "Capacity/string()"
             }
             XmlRole {
                 name: "Occupancy"
                 query: "Occupancy/string()"
             }

             XmlRole
             {
                 name: "id"
                 query: "SystemCodeNumber/string()"
             }

         }

         SilicaListView {
                     anchors.fill: parent
                     spacing: Theme.paddingSmall

                     model: parking
                     header: PageHeader
                     {
                         title: "Parkings"
                     }

                     delegate: ListItem {
                         x: Theme.paddingLarge

                         VerticalScrollDecorator {}




                         Row {

                             width: parent.width
                             spacing: 30
                             Column {

                                 width: parent.width
                                 spacing: 10
                                 anchors {
                                     left: parent.left
                                     right: parent.right
                                     margins: Theme.paddingLarge
                                 }

                                 Label {
                                     text: "       "

                                 }


                                 Label {
                                     text: model.Venue
                                     font.pixelSize: Theme.fontSizeSmall
                                     Button {
                                     onClicked: pageStack.push(Qt.resolvedUrl("ParkingDescPage.qml"), {ident: model.id} );
                                      }

                                 }



                             }

                         }



                     }

    }




            }



}
