import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0

Page {
    property variant startdate
    property variant enddate
    SilicaFlickable {
         anchors.fill: parent
         contentHeight: Column.height

         XmlListModel
         {
             id: events
             source: "http://geoserver.nottinghamcity.gov.uk/opendata/xml/ncc_Streetworks.xml"
             namespaceDeclarations: "declare namespace fme = 'http://www.safe.com/xml/xmltables';"

             query: "/fme:xml-tables/fme:ncc_Streetworks-table/fme:ncc_Streetworks[fme:ENDTIME>"+startdate+"000000 and fme:STARTTIME<"+enddate+"000000]"
//             query: "/fme:xml-tables/fme:ncc_Streetworks-table/fme:ncc_Streetworks"


             XmlRole {
                 name: "latitude"
                 query: "fme:LAT/string()"
             }
             XmlRole {
                 name: "longitude"
                 query: "fme:LONG/string()"
             }
             XmlRole {
                 name: "descr"
                 query: "fme:DESCRIPTION/string()"
             }
             XmlRole {
                 name: "addr"
                 query: "fme:ADDRESS/string()"
             }
             XmlRole {
                 name: "locat"
                 query: "fme:LOCATIONDESC/string()"
             }
             XmlRole
             {
                 name: "idx"
                 query: "fme:X/string()"
             }
             XmlRole
             {
             name: "idy"
             query: "fme:Y/string()"
             }


         }
         SilicaListView
         {
                anchors.fill: parent
                spacing: Theme.paddingSmall
                model: events
                header: PageHeader
                {
                    title: "Situtations on roads"

                }

                delegate: ListItem
                {
                    x: Theme.paddingLarge
                    VerticalScrollDecorator {}
                    Row
                    {
                        width: parent.width
                        spacing: 50
                        Column
                        {
                            width: parent.width
                            spacing: 10
                            anchors
                            {
                                left: parent.left
                                right: parent.right
                                margins: Theme.paddingLarge
                            }
                            Label
                            {
                                text: "       "
                            }
                            Label
                            {
                                text: "Address: " + model.addr
                                font.pixelSize: Theme.fontSizeExtraSmall
                            }
                            Label
                            {
                                text: "Detail: " + model.locat
                                font.pixelSize: Theme.fontSizeExtraSmall
                            }
                            Label
                            {
                                Button
                                {
                                    onClicked: pageStack.push(Qt.resolvedUrl("DetailedPage.qml"), {identx: model.idx, identy: model.idy} );
                                }
                            }
                        }
                    }
                }
         }
    }
}
